> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rdp.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Reply to Ticket

> Add a reply to an existing support ticket. Cannot reply to closed tickets.



## OpenAPI

````yaml post /tickets/{ticket}/reply
openapi: 3.1.0
info:
  title: APIFiddle Sample Definition
  version: 0.0.0
  description: Example workspace
servers:
  - url: https://rdp.sh/api/v1
    description: Default production endpoint.
security: []
paths:
  /tickets/{ticket}/reply:
    post:
      summary: Reply to ticket
      description: >-
        Add a reply to an existing support ticket. Cannot reply to closed
        tickets.
      operationId: replyToTicket
      parameters:
        - $ref: '#/components/parameters/ticket'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - message
              properties:
                message:
                  type: string
                  minLength: 1
                  maxLength: 5000
                  description: The reply message content
      responses:
        '201':
          content:
            application/json:
              schema:
                type: object
                title: ReplyTicketCreated
                required:
                  - status
                  - message
                  - comment
                properties:
                  status:
                    type: boolean
                    examples:
                      - true
                  message:
                    type: string
                    examples:
                      - Reply added successfully
                  comment:
                    $ref: '#/components/schemas/comment'
          description: Reply added successfully.
        '400':
          content:
            application/json:
              schema:
                type: object
                title: ReplyTicketClosed
                properties:
                  status:
                    type: boolean
                    examples:
                      - false
                  error:
                    type: string
                    examples:
                      - Cannot reply to a closed ticket
          description: Ticket is closed.
        '403':
          content:
            application/json:
              schema:
                type: object
                title: ReplyTicketUnauthorized
                properties:
                  status:
                    type: boolean
                    examples:
                      - false
                  error:
                    type: string
                    examples:
                      - This action is unauthorized
          description: User does not own the ticket.
        '422':
          description: Validation error.
      security:
        - Authorization: []
components:
  parameters:
    ticket:
      in: path
      name: ticket
      schema:
        type: integer
      required: true
      description: Ticket ID
  schemas:
    comment:
      type: object
      properties:
        id:
          type: integer
          examples:
            - 1
        comment:
          type: string
          examples:
            - Working on this issue now
        user:
          type: object
          properties:
            id:
              type: integer
            name:
              type: string
        staff:
          type: boolean
          examples:
            - false
        created_at:
          type: string
          examples:
            - '2024-01-28T10:30:00.000000Z'
      description: Ticket comment object.
  securitySchemes:
    Authorization:
      in: header
      name: Authorization
      type: apiKey

````